<div class="body-top-index" style="display: flex; flex-direction: column;">
    <div class="body-top-headline" id ="personalID-box" style="display: none;">
        <p1>Databegäran mottagen</p1>
        <p id = "id1"></p >
        <p id = "message1"> </p > 
    </div>
    <div class="body-top-headline" id ="finished-box" style="display: none;">
        <p1>Databegäran hanterad</p1>
        <p id = "id2"></p >
        <p id = "message2"></p >
    </div>
</div>


<script>
    const ws = new WebSocket("ws://localhost:9999");
    ws.addEventListener("open", () => {
        console.log("we are connected!")});
    ws.addEventListener("message", e => {
        console.log("hulala", e);
        data = JSON.parse(e.data);
        idContent = "ID: " + data.content
        if ( data.target == "id1") {
            document.getElementById("id1").innerHTML = idContent;
            document.getElementById("message1").innerHTML = "Status: Mottagit användarens begäran av data";
            document.getElementById("personalID-box").setAttribute("style", "display:inline")
        }
        if (data.target == "id2") {
            document.getElementById("id2").innerHTML = idContent;
            document.getElementById("message2").innerHTML = "Status: Data har skickats till användaren";
            document.getElementById("finished-box").setAttribute("style", "display:inline")
        }
    });
</script>